-- ----------------------------------------------------------------------------
-- Copyright (C) 2011 Nokia Gate5 GmbH Berlin
--
-- These coded instructions, statements, and computer programs contain
-- unpublished proprietary information of Nokia Gate5 GmbH Berlin, and
-- are copy protected by law. They may not be disclosed to third parties
-- or copied or duplicated in any form, in whole or in part, without the
-- specific, prior written permission of Nokia Gate5 GmbH Berlin.
-- ----------------------------------------------------------------------------
--      Authors: RFS, Fabian Riek
-- ----------------------------------------------------------------------------
--             Voice Skin: Taiwanese TTS

description = "TTS"
gender = "f"
travel_mode = "0"    -- walk and drive 
output_type = "tts"
speaker = "Ya-Ling"
language = "Chinese (Taiwan)"
marc_code = "cht"
language_id = "29"
id = "29002"
config_file = "taiwanese_chinese_tts/config_tts.lua"
audio_files_path = "taiwanese_chinese_tts/taiwanese_chinese_tts"
rulesets_file = "taiwanese_chinese_tts/taiwanese_chinese_tts/rules_mnt.txt"
userdictionary_file = "taiwanese_chinese_tts/taiwanese_chinese_tts/udct_mnt.dat"
apdb = "apdb/ya-ling/nm"
audio_files_version = "0.3.0.2012031601"
feature_list = { "metric", "imperial_uk", "imperial_us" }
client_range = "[ client >= 1.4.6.0 ; client < 1.7.0.0 ]"

maneuver_check = {
    ["END"] = "您即將到達目的地",                             -- You will reach your destination
    ["STOPOVER"] = "您即將到達中途點",                        -- You will reach a stopover
    ["JUNCTION"] = nil,                                   -- No voice file needed -> check maneuver_turn
    ["PASS_JUNCTION"] = nil,                              -- the junction
    ["ROUNDABOUT"] = "請繞圓環行駛，",                        -- At the roundabout
    ["EXIT_ROUNDABOUT"] = "請從出口離開",                    -- take the exit
    ["UTURN"] = "請迴轉",                                   -- Make a uturn
    ["ENTER_HIGHWAY"] = "進入高速公路",
    ["LEAVE_HIGHWAY"] = "請從出口離開",                                -- take the exit
    ["CONTINUE_HIGHWAY"] = "請從出口離開",                             -- due to specifications ("take the exit")
    ["ENTER_URBAN_HIGHWAY"] = "進入高速公路",
    ["LEAVE_URBAN_HIGHWAY"] = "請從出口離開",                      -- take the exit
    ["CONTINUE_URBAN_HIGHWAY"] = "請從出口離開",
    ["DRIVE_TO_NEAREST_ROAD"] = "請駛向最接近的道路",        -- drive to nearest road 
    ["FERRY"] = "請上渡船"
}

maneuver_turns_car = {
    ["NO_TURN"] = "請往前開",
    ["KEEP_MIDDLE"] = "請走中間車道",
    ["KEEP_RIGHT"] = "請保持右側行駛",
    ["LIGHT_RIGHT"] = "請小幅度右轉",
    ["QUITE_RIGHT"] = "請向右轉",
    ["HEAVY_RIGHT"] = "請向右大轉彎",
    ["RETURN"] = "請迴轉",
    ["HEAVY_LEFT"] = "請向左大轉彎",
    ["QUITE_LEFT"] = "請向左轉",
    ["LIGHT_LEFT"] = "請小幅度左轉",
    ["KEEP_LEFT"] = "請保持左側行駛",
    ["nil"] = nil,
    ["UNDEFINED"] = nil
}

maneuver_turns_pedestrian = {
    ["NO_TURN"] = "請往前開",
    ["KEEP_MIDDLE"] = "請往前開",
    ["KEEP_RIGHT"] = "請沿著街道右側行走",
    ["LIGHT_RIGHT"] = "請小幅度右轉",
    ["QUITE_RIGHT"] = "請向右轉",
    ["HEAVY_RIGHT"] = "請向右大轉彎",
    ["RETURN"] = "請迴轉",
    ["HEAVY_LEFT"] = "請向左大轉彎",
    ["QUITE_LEFT"] = "請向左轉",
    ["LIGHT_LEFT"] = "請小幅度左轉",
    ["KEEP_LEFT"] = "沿著街道左側行走",
    ["nil"] = nil,
    ["UNDEFINED"] = nil
}

pedestrian_vc = {
    ["BUILDING"] = "請穿越建築物",
    ["SQUARE"] = "請穿越廣場",
    ["PARK"] = "請穿越公園",
    ["STAIRS"] = "請走樓梯",
    ["ELEVATOR"] = "請搭乘電梯",
    ["ESCALATOR"] = "請走樓梯"
}

final_command = {
    ["END"] = "您已經到達目的地",                  -- You have reached your destination
    ["STOPOVER"] = "您已經到達中途點"                -- You have reached a stopover
}

exit_number_check = {
    [1] = {"從第一個出口離開", "請在第一個路口轉彎"},                      -- take the first exit
    [2] = {"從第二個出口離開", "請在第二個路口轉彎"},           -- take the second exit
    [3] = {"從第三個出口離開", "請在第三個路口轉彎"},                   -- take the third exit
    [4] = {"從第四個出口離開", "請在第四個路口轉彎"},                -- take the fourth exit
    [5] = {"從第五個出口離開", "請在第五個路口轉彎"},                      -- take the fifth exit
    [6] = {"從第六個出口離開", "請在第六個路口轉彎"},                  -- take the sixth exit
    [7] = {"從第七個出口離開", "從第七個出口離開"},          -- take the seventh exit
    [8] = {"從第八個出口離開", "從第八個出口離開"},              -- take the eighth exit
    [9] = {"從第九個出口離開", "從第九個出口離開"},                  -- take the ninth exit
    [10] = {"從第十個出口離開", "從第十個出口離開"},                -- take the tenth exit
    [11] = {"從第十一個出口離開", "從第十一個出口離開"},       -- take the eleventh exit
    [12] = {"從第十二個出口離開", "從第十二個出口離開"}             -- take the twelfth exit
}

unit = {                        
    ["MILE"] = "英里",
    ["YARDS"] = "碼",
    ["FEET"] = "feet",
    ["KILOMETER"] = "公里",
    ["METERS"] = "公尺",
    ["METER"] = "公尺",
    ["KILOMETERS"] = "公里",
    ["MILES"] = "英里",
    ["nil"] = nil,
    ["UNDEFINED"] = nil
}

orientation = {
    ["NORTH"] = "請朝北行走",
    ["NORTH_EAST"] = "請朝東行走",
    ["EAST"] = "請朝東行走",
    ["SOUTH_EAST"] = "請朝東南行走",
    ["SOUTH"] = "請朝南行走",
    ["SOUTH_WEST"] = "請朝西南行走",
    ["WEST"] = "請朝西行走",
    ["NORTH_WEST"] = "請朝西北行走"
}

misc = { 
    ["gps_signal_lost_wav"] = "遺失GPS訊號",
    ["gps_signal_restored_wav"] = "再次連接GPS訊號",
 --   ["no_gps_signal_wav"] = "沒有GPS訊號",
    ["route_recalculation_wav"] = "重新規劃路線",
    ["now_wav"] = "現在",
    ["end_of_street_wav"] = "在道路的終點",
    ["follow_motorway_wav"] = "請順著高速公路行駛",
    ["follow_road_wav"] = "請繼續順著前方道路行駛",
    ["for_wav"] = nil,
    ["after_wav"] = "之後",
    ["after_the_junction_wav"] = "經過交叉口後",
    ["half_a_mile_wav"] = "半英里",
    ["quarter_a_mile_wav"] = "四分之一英里",
    ["three_quarter_of_mile_wav"] = "半英里",
    ["immediately_wav"] = "立即",
    ["safety_camara_ahead_wav"] = "前方有安全照相機",
    --["over_speed_limit_wav"] = "請注意限速",
    ["traffic_automatic_detour_wav"] = "路線上有交通堵塞, 正在繞行",
    ["traffic_manual_detour_wav"] = "路線上有交通堵塞, 是否繞行？",
    ["no_detour_possible"] = "無法找到避開交通堵塞的繞行路徑",
    ["and_wav"] = "然後",
    ["and_then_wav"] = "然後",
    ["and_continue_on_wav"] = "然後請繼續行駛在",
    ["and_continue_on_ped_wav"] = "然後請繼續行走在",
    ["towards_wav"] = "往",
    ["turn_wav"] = "請轉",
    ["onto_wav"] = "至",
    ["exit_wav"] = "請從出口離開",
    ["second_right_wav"] = "請從第二個路口右轉",
    ["second_left_wav"] = "請從第二個路口左轉",
    ["dot"] = ".",
    ["walk_left_roundabout_wav"] = "請沿著圓環左側行走",
    ["walk_right_roundabout_wav"] = "請沿著圓環右側行走",
    ["walk_roundabout_wav"] = "請繞著圓環行走",
    ["head_wav"] = nil,
    ["pause"] = "\\pause=50\\",
    ["on_wav"] = "在",
    ["onto_the_footpath_wav"] = "進入小路"
}

wav_files = { 
    ["beep_sound"] = "beep16K.wav",
	["speed_limit_beeps"] = "g5war_speed_limit_soft4edit9.wav"       
}

right = { ["QUITE_RIGHT"] = 0, ["HEAVY_RIGHT"] = 0, ["LIGHT_RIGHT"] = 0, ["KEEP_RIGHT"] = 0 }
left = { ["QUITE_LEFT"] = 0, ["HEAVY_LEFT"] = 0, ["LIGHT_LEFT"] = 0, ["KEEP_LEFT"] = 0 }
keep = { ["KEEP_LEFT"] = 0, ["KEEP_RIGHT"] = 0, ["KEEP_MIDDLE"] = 0 }
highway = { ["ENTER_HIGHWAY"] = 0, ["ENTER_URBAN_HIGHWAY"] = 0, ["LEAVE_HIGHWAY"] = 0, ["LEAVE_URBAN_HIGHWAY"] = 0 }


